<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.logging.async-handler" stability="default">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="enabled,filter,filter-spec,level,overflow-action,queue-length,subhandlers"/>
        <elem name="addr-params" value="profile,subsystem,async-handler"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.logging"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.logging.handler.$async-handler"/>
    </provides>
    <requires>
        <capability name="$profile.org.wildfly.logging.filter.$filter-spec" optional="true"/>
        <capability name="$profile.org.wildfly.logging.handler.$subhandlers" optional="true"/>
    </requires>
    <refs>
        <ref feature="subsystem.logging"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="filter" nillable="true" stability="default"/>
        <param name="filter-spec" nillable="true" stability="default"/>
        <param name="level" nillable="true" stability="default"/>
        <param name="subhandlers" nillable="true" type="List&lt;String&gt;" stability="default"/>
        <param name="overflow-action" nillable="true" stability="default"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="async-handler" feature-id="true"/>
        <param name="subsystem" feature-id="true" default="logging"/>
        <param name="enabled" nillable="true" stability="default"/>
        <param name="queue-length" stability="default"/>
    </params>
</feature-spec>